import pyMeow as pm

class ArmorHack:
    offset = 0xF0

    @classmethod
    def apply(cls, proc, local_player_addr, value=100):
        """local_player의 Armor 값을 100으로 고정시킵니다."""
        try:
            pm.w_int(proc, local_player_addr + cls.offset, value)
        except Exception as e:
            pass
